#ifndef _CLI_QUIT_COMMAND_H_
#define _CLI_QUIT_COMMAND_H_

#include <command/Command.h>
#include <environment/Environment.h>

namespace cli {

class QuitCommand : public Command {
public:
	QuitCommand ( ) {
	}

	virtual Command::Result run ( Environment & ) const override {
		return Command::Result::QUIT;
	}
};

} /* namespace cli */

#endif /* _CLI_QUIT_COMMAND_H_ */
