#ifndef __STRING_CHAR_SEQUENCE_H_
#define __STRING_CHAR_SEQUENCE_H_

#include <string>

#include "CharSequenceBase.h"

namespace cli {

class StringCharSequence : public CharSequenceBase {
	std::string m_line;

	virtual void fetch ( bool /* readNextLine */ ) override {
		this->endOfSequence = true;
	}

public:
	StringCharSequence ( std::string line ) : m_line ( std::move ( line ) ) {
		this->linePtr = m_line.c_str ( );
	}

	virtual std::string getLine ( ) const override {
		return m_line;
	}
};

} /* namespace cli */

#endif /* __STRING_CHAR_SEQUENCE_H_ */
