/*
 * ToPostfixPushdownAutomaton.h
 *
 *  Created on: 11. 4. 2016
 *	  Author: Tomas Pecka
 */

#ifndef RTE_TO_AUTOMATON_H_
#define RTE_TO_AUTOMATON_H_

#include <rte/formal/FormalRTE.h>
#include <automaton/PDA/NPDA.h>

namespace rte {

namespace convert {

class ToPostfixPushdownAutomaton {
public:
	/**
	 * Performs conversion.
	 * @return PDA equivalent to original regular rte expression reading linearized postfix tree
	 */
	static automaton::NPDA < > convert ( const rte::FormalRTE < > & rte );

};

} /* namespace convert */

} /* namespace rte */

#endif /* RTE_TO_AUTOMATON_H_ */
