#pragma once
#include <memory>

#include <QtCore/QRectF>

#include <abstraction/OperationAbstraction.hpp>

namespace Utils
{
    QRectF pointsToRect(QPointF a, QPointF b);

    std::shared_ptr<abstraction::OperationAbstraction> generateRandomAutomaton();
    std::shared_ptr<abstraction::OperationAbstraction> generateRandomGrammar();
}
