/*
 * Dot.h
 *
 *  Created on: 16. 8. 2017
 *	  Author: Jan Travnicek
 */

#ifndef _DOT_H_
#define _DOT_H_

#include <alib/string>
#include <alib/vector>

namespace cli {

namespace builtin {

class Dot {
public:
	/**
	 * Cli builtin for DOT format visualization
	 */
	static void dot( const std::string & dot );
	static void dot ( const std::string & data, const std::string & outputType, const std::string & outputFile );

private:
	static std::vector < std::string > m_DotAllowedTypes;
};

} /* namespace builtin */

} /* namespace cli */

#endif /* _DOT_H_ */
