/*
 * CommonException.h
 *
 * Created on: Apr 1, 2013
 * Author: Martin Zak
 */

#ifndef _XML_COMMON_EXCEPTION_H_
#define _XML_COMMON_EXCEPTION_H_

#include <exception/CommonException.h>
#include <alib/string>
#include <core/xmlApi.hpp>

namespace core {

template < >
struct xmlApi < exception::CommonException > {
	static exception::CommonException parse ( ext::deque < sax::Token >::iterator & input );
	static bool first ( const ext::deque < sax::Token >::const_iterator & input );
	static const std::string & xmlTagName ( );
	static void compose ( ext::deque < sax::Token > & output, const exception::CommonException & data );
};

} /* namespace core */

#endif /* XML_COMMON_EXCEPTION_H_ */
